# string::pad-right

Returns the given string right-padded to the given length.

### Usage

`string string::pad-right(s, totalWidth, paddingChar)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | The String that needs to be right-padded.
totalWidth | int | The number of characters in the resulting string, equal to the number of original characters plus any additional padding characters.
paddingChar | string | A Unicode padding character.

### Return Value

If the length of s is at least totalWidth, then a new String identical to s is returned. Otherwise, s will be padded on the right with as many paddingChar characters as needed to create a length of totalWidth.

### Exceptions

The function will fail in any of the following circumstances:

- totalWidth is less than zero.

### Remarks

Note that only the first character of paddingChar will be used when padding the result.

### Examples

-     string::pad-right('test', 10, ' ') ==> 'test      '

-     string::pad-right('test', 10, 'abcd') ==> 'testaaaaaa'

-     string::pad-right('test', 3, ' ') ==> 'test'

-     string::pad-right('test', -3, ' ') ==> ERROR

### Requirements

Assembly: NAnt.Core (0.92.4543.0)